scala.reflect.macros.contexts

# FrontEnds

#### trait FrontEnds extends AnyRef

Self Type
  Context
Source
  FrontEnds.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Context
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FrontEnds
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FrontEnds to any2stringadd[FrontEnds] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (FrontEnds, B)

   Implicit information
     This member is added by an implicit conversion from FrontEnds to ArrowAssoc[FrontEnds] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def abort(pos: Context.Position, msg: String): Nothing

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def echo(pos: Context.Position, msg: String): Unit

10. #### def ensuring(cond: (FrontEnds) ⇒ Boolean, msg: ⇒ Any): FrontEnds

    Implicit information
      This member is added by an implicit conversion from FrontEnds to Ensuring[FrontEnds] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (FrontEnds) ⇒ Boolean): FrontEnds

    Implicit information
      This member is added by an implicit conversion from FrontEnds to Ensuring[FrontEnds] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): FrontEnds

    Implicit information
      This member is added by an implicit conversion from FrontEnds to Ensuring[FrontEnds] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): FrontEnds

    Implicit information
      This member is added by an implicit conversion from FrontEnds to Ensuring[FrontEnds] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def error(pos: Context.Position, msg: String): Unit

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from FrontEnds to StringFormat[FrontEnds] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hasErrors: Boolean

21. #### def hasWarnings: Boolean

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### def info(pos: Context.Position, msg: String, force: Boolean): Unit

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def warning(pos: Context.Position, msg: String): Unit

34. #### def →[B](y: B): (FrontEnds, B)

    Implicit information
      This member is added by an implicit conversion from FrontEnds to ArrowAssoc[FrontEnds] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FrontEnds to any2stringadd[FrontEnds]

### Inherited by implicit conversion StringFormat from FrontEnds to StringFormat[FrontEnds]

### Inherited by implicit conversion Ensuring from FrontEnds to Ensuring[FrontEnds]

### Inherited by implicit conversion ArrowAssoc from FrontEnds to ArrowAssoc[FrontEnds]

### Ungrouped